This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707969 - avc: denied { signal } for ... comm="ccsd" scontext=root:system_r:ccs_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=process
avc: denied { signal } for ... comm="ccsd" scontext=root:system_r:ccs_t:s0 tc...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 09:06 EDT by Milos Malik
Modified: 2012-11-23 16:07 EST (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-2.4.6-309.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 05:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2011-05-26 09:06:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-302.el5
selinux-policy-targeted-2.4.6-302.el5

How reproducible:
* not sure, but seen on 2 machines

Steps to Reproduce:
* run /CoreOS/selinux-policy/Regression/bz271561-corosync-and-similar test on i386/x86_64 machine with RHEL5.7-Server-20110513.0_nfs build
  
Actual results:
----
time->Tue May 17 16:45:19 2011
type=SYSCALL msg=audit(1305665119.991:34): arch=40000003 syscall=37 success=no exit=-13 a0=1 a1=f a2=bff1395a a3=bff13858 items=0 ppid=1 pid=27043 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ccsd" exe="/sbin/ccsd" subj=root:system_r:ccs_t:s0 key=(null)
type=AVC msg=audit(1305665119.991:34): avc:  denied  { signal } for  pid=27043 comm="ccsd" scontext=root:system_r:ccs_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=process
----

Expected results:
no AVCs
Comment 2 Daniel Walsh 2011-05-26 09:14:16 EDT
Is ccs actually sending a signal to process init running with PID 1?
Comment 3 Milos Malik 2011-05-26 10:18:32 EDT
It seems so.

type=SYSCALL ... ppid=1 ...
Comment 4 Daniel Walsh 2011-05-26 10:25:35 EDT
Miroslav add this to both RHEL5 and RHEL6.

init_signal(ccs_t)
Comment 5 Miroslav Grepl 2011-06-06 11:15:32 EDT
Fixed in selinux-policy-2.4.6-309.el5
Comment 8 errata-xmlrpc 2011-07-21 05:20:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1069.html
Comment 9 errata-xmlrpc 2011-07-21 07:57:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1069.html

Note You need to log in before you can comment on or make changes to this bug.